Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.message
Interface Fault

    public interface Fault

Faults may be returned from a service in response to receiving and acting upon messages. A fault consists of a unique code (MANDATORY) and a reason string (OPTIONAL). An OPTIONAL throwable may also be returned.

Field Summary
`static java.lang.String` | `THROWABLE_CONTENT`

Method Summary
`java.lang.Throwable` | `getCause()` Get the original Throwable.
`java.net.URI` | `getCode()`
`java.lang.String` | `getReason()`
`void` | `setCause(java.lang.Throwable ex)` Set the original Throwable.
`void` | `setCode(java.net.URI code)` Set the unique code for this fault.
`void` | `setReason(java.lang.String reason)` Set the optional reason for this fault.

Field Detail

### THROWABLE_CONTENT

    static final java.lang.String THROWABLE_CONTENT

See Also:
  Constant Field Values

Method Detail

### getCode

    java.net.URI getCode()

  Returns:
    the unique code representing this fault.

### setCode

    void setCode(java.net.URI code)

  Set the unique code for this fault.

  Parameters:
    `code` - the code.

### getReason

    java.lang.String getReason()

  Returns:
    a String representing the reason for the fault. Typically used for logging purposes.

### setReason

    void setReason(java.lang.String reason)

  Set the optional reason for this fault.

  Parameters:
    `reason` - the reason for the fault.

### getCause

    java.lang.Throwable getCause()

  Get the original Throwable. May be null, e.g., if the problem resulted from a non-Java environment.

  Returns:
    the throwable.

### setCause

    void setCause(java.lang.Throwable ex)

  Set the original Throwable.

  Parameters:
    `ex` - the throwable.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD